## Interface Swift_Events_EventListener

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Events/EventListener.php

##### An identity interface which all EventListeners must extend.

- author: - Chris Corbyn

Classes extended from Swift_Events_EventListener:

Swift_Events_CommandListener
  Listens for Transports to send commands to the server.

Swift_Events_ResponseListener
  Listens for responses from a remote SMTP server.

Swift_Events_SendListener
  Listens for Messages being sent from within the Transport system.

Swift_Events_TransportChangeListener
  Listens for changes within the Transport system.

Swift_Events_TransportExceptionListener
  Listens for Exceptions thrown from within the Transport system.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3